Skip to content
SPECIFICTION
Get listed

EJBCA vs XiPKI

EJBCA

ejbca.org

XiPKI

github.com

Side by side

FigureEJBCAXiPKI
Price from£5,172.08/moFree
Free planYesYes
Free trialYes—
Open sourceYes—
WebYes—
WindowsYes—
macOSYesYes
LinuxYesYes
APIYesYes
Self-hostedYesYes
Plans published51
Spec score · Public Key Infrastructure Software9.2 (#1)7.3 (#16)
PurposeEJBCA is open-source PKI and Certificate Authority software for certificate management, registration, enrollment, and validation.XiPKI is an open-source public key infrastructure system covering certification authority, registration authority, and OCSP responder functions, intended for critical infrastructure.
Security and complianceThe comparison lists Common Criteria certification and audit logging to file, database, or syslog; several advanced security and compliance capabilities are Enterprise features.The project says Bouncy Castle can be switched between LTS and FIPS variants to meet different compliance requirements, and lists eIDAS standards EN 319 411 and EN 319 412 support.
SupportEnterprise includes professional support with an SLA, while Community users can access GitHub Discussions on a best-effort basis.The project directs users to open a GitHub issue and asks bug reports to include test data, logs, version, OS, JRE or JDK, and reproduction steps.

Plans

EJBCA

  • EJBCA Community EditionFree
  • EJBCA Enterprise Cloud trialFree
  • EJBCA Enterprise trialFree
  • EJBCA PKI SaaS£62,065 a year
  • EJBCA EnterprisePriced on request

EJBCA pricing →

XiPKI

  • Apache License 2.0Free

XiPKI pricing →

In their own words

EJBCA

EJBCA is open-source PKI and Certificate Authority software for managing certificates, registration, enrollment, and validation. A single installation can host multiple independent PKIs separated through CA, RA, and VA modules. Certificate validation uses OCSP and CRL, and enrollment options listed for Community and Enterprise include CMP, SCEP, EST, ACME, SOAP API, and REST APIs. Community Edition can be deployed with Helm, as a container, or from source, with Helm and Ansible playbooks available for automating setup and configuration. Its stated use cases include internal PKIs, DevOps workflows, industrial environments, IoT devices, and national eIDs. Community is free under LGPL version 2.1 or later for learning, testing, and prototyping, but is not intended for production because it lacks production audit, compliance, SLA, high-availability, and security capabilities. Enterprise adds advanced PKI functionality and professional support with an SLA; a 30-day trial is available through AWS or Azure marketplaces.

Visit ejbca.org

XiPKI

XiPKI is an open-source public key infrastructure system for certification authority, registration authority, and OCSP responder functions, aimed at critical infrastructure. It supports multiple CAs in one instance, database clusters, and active instances for the same CA, with management through embedded OSGi commands and an API. Its CA gateway supports EST, SCEP, CMP, ACME, and its RESTful API. The OCSP responder handles RFC 2560, RFC 6960, and RFC 5019, along with signed and unsigned requests, health checks, and multiple certificate status sources. HSM connections use PKCS#11; listed devices include AWS CloudHSM, Nitrokey, nCipher, Sansec, SoftHSM, TASS, Thales, and Utimaco. The project describes native support for ML-DSA, ML-KEM, and composite post-quantum algorithms. XiPKI is free under Apache License 2.0. It supports Linux and macOS and requires Java 11 or later and Tomcat 10 or 11. Listed databases include DB2, MariaDB, MySQL, Oracle, PostgreSQL, H2, and HSQLDB.

Visit github.com